select RLN.RLN_ID
from REQUIREMENT_LIBRARY_NODE RLN
		 inner join RLN_RELATIONSHIP_CLOSURE CLOS on CLOS.DESCENDANT_ID = RLN.RLN_ID
where CLOS.ANCESTOR_ID in (:nodeIds)
  and RLN.PROJECT_ID in (:projectIds)
